local resetButton = CreateFrame("Button", "ResetButton", UIParent, "OptionsButtonTemplate")
resetButton:SetMovable(true)
resetButton:EnableMouse(true)
resetButton:RegisterForDrag("LeftButton")
resetButton:SetScript("OnDragStart",resetButton.StartMoving)
resetButton:SetScript("OnDragStop", resetButton.StopMovingOrSizing)
resetButton:SetPoint("CENTER")
resetButton:SetText("Reset")



function OnClick_Reset()
	local inInstance, instanceType = IsInInstance()
	if inInstance == false then
		ResetInstances()
	else
		SendChatMessage("You're In Instance. Get out of Here","SAY")
	end
end

resetButton:SetScript("OnClick",OnClick_Reset)